%define name gvfs
%define version 1.0.1
%define release %mkrel 2

%define major 0
%define libname %mklibname %name %major
%define develname %mklibname -d %name

%define enable_gphoto2 0

Summary: Glib VFS library
Name: %{name}
Version: %{version}
Release: %{release}
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.bz2
# (fc) 0.1.11-3mdv allow to show mount points in /mnt if they are ntfs or vfat
Patch1: gvfs-0.1.11-showmnt.patch
# (fc) bug fixes from SVN (GNOME bug #552168, 529596)
Patch2: gvfs-1.0.1-svnfixes.patch
License: LGPLv2+
Group: System/Libraries
Url: http://www.gnome.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libhal-devel
BuildRequires: libcdio-devel
BuildRequires: fuse-devel
BuildRequires: libsmbclient-devel
BuildRequires: libsoup-devel >= 2.23.91
BuildRequires: glib2-devel >= 2.17.6
#gw too late for 2008.1
%if %mdkversion > 200810
BuildRequires: libarchive-devel
%endif
BuildRequires: libGConf2-devel
BuildRequires: intltool
%if %{enable_gphoto2}
BuildRequires: gphoto2-devel
%endif
BuildRequires: gnome-keyring-devel
BuildRequires: avahi-glib-devel
BuildRequires: avahi-client-devel
BuildRequires: bluez-devel
BuildRequires: dbus-glib-devel
BuildRequires: expat-devel
BuildRequires: gtk-doc
#gw the dbus service depends on the daemon in the library package
Requires: %libname = %version
Requires: gnome-mount

%description
This is a Virtual File System library based on gio and Glib.

%package -n %{libname}
Group: System/Libraries
Summary: Glib VFS library
Requires: %name >= %version

%description -n %{libname}
This is a Virtual File System library based on gio and Glib.

%package -n %develname
Group: Development/C
Summary: Glib VFS Library - development files
Requires: %libname = %version
Provides: libgvfs-devel = %version-%release

%description -n %develname
This is a Virtual File System library based on gio and Glib.

%prep
%setup -q
cd monitor
%patch1 -p1 -b .showmnt
cd -
%patch2 -p1 -b .svnfixes


%build
%configure2_5x \
%if %{enable_gphoto2}
 --enable-gphoto2
%else
 --disable-gphoto2
%endif

%make

%install
rm -rf %{buildroot}
%makeinstall_std
rm -f %buildroot%_libdir/gio/modules/*.la

%find_lang gvfs

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post -n %libname -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libname -p /sbin/ldconfig
%endif

%files -f gvfs.lang
%defattr(-,root,root)
%_sysconfdir/profile.d/gvfs-bash-completion.sh
%_bindir/gvfs-*
%_datadir/dbus-1/services/gvfs-daemon.service
%if %{enable_gphoto2}
%_datadir/dbus-1/services/org.gtk.Private.GPhoto2VolumeMonitor.service
%endif
%_datadir/dbus-1/services/org.gtk.Private.HalVolumeMonitor.service
%dir %_datadir/gvfs
%dir %_datadir/gvfs/mounts
%dir %_datadir/gvfs/remote-volume-monitors
%_datadir/gvfs/remote-volume-monitors/*.monitor
%_datadir/gvfs/mounts/*.mount

%files -n %libname
%defattr(-,root,root)
%_libdir/gio/modules/libgiogconf.so
%_libdir/gio/modules/libgioremote-volume-monitor.so
%_libdir/gio/modules/libgvfsdbus.so
%_libexecdir/gvfs-fuse-daemon
%if %{enable_gphoto2}
%_libexecdir/gvfs-gphoto2-volume-monitor
%endif
%_libexecdir/gvfs-hal-volume-monitor
%_libexecdir/gvfsd*
%_libdir/libgvfscommon.so.%{major}*

%files -n %develname
%defattr(-,root,root)
%doc NEWS ChangeLog AUTHORS TODO
%_libdir/lib*.so
%_libdir/lib*.la
#%_includedir/%name/
%_includedir/gvfs-client
#%_libdir/pkgconfig/%name*.pc
#%doc %_datadir/gtk-doc/html/%name



%changelog
* Tue Sep 30 2008 Frederic Crozat <fcrozat@mandriva.com> 1.0.1-2mdv2009.0
+ Revision: 290188
- Patch2 (SVN): bug fixes for GNOME bug #552168 529596

* Wed Sep 24 2008 Götz Waschk <waschk@mandriva.org> 1.0.1-1mdv2009.0
+ Revision: 287813
- new version

* Mon Sep 22 2008 Götz Waschk <waschk@mandriva.org> 1.0.0-1mdv2009.0
+ Revision: 286597
- new version

* Tue Sep 16 2008 Götz Waschk <waschk@mandriva.org> 0.99.8-1mdv2009.0
+ Revision: 285130
- new version

* Tue Sep 09 2008 Götz Waschk <waschk@mandriva.org> 0.99.7.1-1mdv2009.0
+ Revision: 283020
- new version

* Tue Sep 09 2008 Götz Waschk <waschk@mandriva.org> 0.99.7-1mdv2009.0
+ Revision: 282945
- new version

* Sat Sep 06 2008 Götz Waschk <waschk@mandriva.org> 0.99.6-2mdv2009.0
+ Revision: 281927
- rebuild with new libsoup

* Tue Sep 02 2008 Götz Waschk <waschk@mandriva.org> 0.99.6-1mdv2009.0
+ Revision: 278814
- new version
- drop patch 1

* Fri Aug 29 2008 Frederic Crozat <fcrozat@mandriva.com> 0.99.5-2mdv2009.0
+ Revision: 277269
-really don't enable gphoto2 support
- Patch2 (SVN): fix LUKS mounting (Fedora bug #460223)

* Tue Aug 19 2008 Götz Waschk <waschk@mandriva.org> 0.99.5-1mdv2009.0
+ Revision: 273681
- new version

* Tue Aug 12 2008 Götz Waschk <waschk@mandriva.org> 0.99.4-2mdv2009.0
+ Revision: 271236
- depend on gnome-mount (bug #42494)

* Tue Aug 05 2008 Götz Waschk <waschk@mandriva.org> 0.99.4-1mdv2009.0
+ Revision: 263724
- new version
- bump glib dep

* Fri Aug 01 2008 Götz Waschk <waschk@mandriva.org> 0.99.3-3mdv2009.0
+ Revision: 258931
- rebuild for missing package

  + Frederic Crozat <fcrozat@mandriva.com>
    - Disable gphoto2 support (cause double mount request in nautilus, Mdv bug #37589)

* Thu Jul 24 2008 Götz Waschk <waschk@mandriva.org> 0.99.3-1mdv2009.0
+ Revision: 244952
- new version
- drop patch 0

* Wed Jul 23 2008 Götz Waschk <waschk@mandriva.org> 0.99.2-3mdv2009.0
+ Revision: 243730
- fix a crash (b.g.o #544399)

* Tue Jul 22 2008 Götz Waschk <waschk@mandriva.org> 0.99.2-2mdv2009.0
+ Revision: 240448
- rebuild

* Tue Jul 22 2008 Götz Waschk <waschk@mandriva.org> 0.99.2-1mdv2009.0
+ Revision: 240279
- new version
- update file list

* Thu Jul 03 2008 Götz Waschk <waschk@mandriva.org> 0.99.1-1mdv2009.0
+ Revision: 230957
- new version

* Mon Jun 30 2008 Götz Waschk <waschk@mandriva.org> 0.2.5-1mdv2009.0
+ Revision: 230134
- new version
- drop patch 2
- update buildrequires

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Jun 02 2008 Frederic Crozat <fcrozat@mandriva.com> 0.2.4-2mdv2009.0
+ Revision: 214320
- Patch0 (SVN): various bug fixes (SMB related)

* Tue May 27 2008 Funda Wang <fundawang@mandriva.org> 0.2.4-1mdv2009.0
+ Revision: 211530
- New version 0.2.4
- drop patch2, merged upstream

* Thu May 22 2008 Frederic Crozat <fcrozat@mandriva.com> 0.2.3-5mdv2009.0
+ Revision: 209999
- Update patch2 with additional fixes for FUSE mount

* Wed May 21 2008 Frederic Crozat <fcrozat@mandriva.com> 0.2.3-4mdv2009.0
+ Revision: 209773
- bump release
- Remove unwanted changes from patch
- Patch2 (SVN): various fixes from SVN
- remove patch from svn
- Remove patch2, it is incorrect and is causing more problems than it tried to solved

  + Götz Waschk <waschk@mandriva.org>
    - rebuild for missing source package

* Wed Apr 09 2008 Götz Waschk <waschk@mandriva.org> 0.2.3-1mdv2009.0
+ Revision: 192486
- new version
- drop patch 3

* Tue Apr 01 2008 Frederic Crozat <fcrozat@mandriva.com> 0.2.2-2mdv2008.1
+ Revision: 191367
- Patch2: unmount ejected volume when they are in fstab (Mdv bug #39540)
- Patch3: various fixes from SVN

* Fri Mar 28 2008 Frederic Crozat <fcrozat@mandriva.com> 0.2.2-1mdv2008.1
+ Revision: 190879
- Release 0.2.2
- Remove patch2, merged upstream

* Thu Mar 27 2008 Frederic Crozat <fcrozat@mandriva.com> 0.2.1-2mdv2008.1
+ Revision: 190663
- Patch2 : various fixes from SVN

* Mon Mar 17 2008 Götz Waschk <waschk@mandriva.org> 0.2.1-1mdv2008.1
+ Revision: 188378
- new version
- drop patch 2

* Mon Mar 17 2008 Frederic Crozat <fcrozat@mandriva.com> 0.2.0.1-2mdv2008.1
+ Revision: 188348
- Patch2 (SVN): lot of bug fixes from SVN

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 0.2.0.1-1mdv2008.1
+ Revision: 183717
- new version
- new version
- drop patch 0

* Fri Mar 07 2008 Frederic Crozat <fcrozat@mandriva.com> 0.1.11-3mdv2008.1
+ Revision: 181418
- Patch0: resync with current SVN
- Patch1: show vfat and ntfs mount points even if they are in /mnt

* Tue Mar 04 2008 Frederic Crozat <fcrozat@mandriva.com> 0.1.11-2mdv2008.1
+ Revision: 178779
- Add expat-devel as BR, needed to build OBEXFTP support

* Tue Mar 04 2008 Götz Waschk <waschk@mandriva.org> 0.1.11-1mdv2008.1
+ Revision: 178715
- new version
- update buildrequires
- new version
- drop patch 0

* Fri Feb 29 2008 Frederic Crozat <fcrozat@mandriva.com> 0.1.8-2mdv2008.1
+ Revision: 176769
- Patch0 (SVN): fix dav backend
- Add missing BR : add support for gphoto2, avahi and gnome-keyring

* Mon Feb 25 2008 Götz Waschk <waschk@mandriva.org> 0.1.8-1mdv2008.1
+ Revision: 175104
- new version
- drop patch
- update file list

* Wed Feb 13 2008 Frederic Crozat <fcrozat@mandriva.com> 0.1.7-2mdv2008.1
+ Revision: 167019
- Patch0 (SVN): hide nfs mount points (Mdv bug #37091)

* Tue Feb 12 2008 Götz Waschk <waschk@mandriva.org> 0.1.7-1mdv2008.1
+ Revision: 165835
- new version
- update deps
- update file list

* Tue Jan 29 2008 Götz Waschk <waschk@mandriva.org> 0.1.6-1mdv2008.1
+ Revision: 159678
- new version
- bump deps

* Mon Jan 28 2008 Götz Waschk <waschk@mandriva.org> 0.1.4-2mdv2008.1
+ Revision: 159517
- build with new libsoup

* Mon Jan 21 2008 Götz Waschk <waschk@mandriva.org> 0.1.4-1mdv2008.1
+ Revision: 155695
- new version

* Mon Jan 21 2008 Götz Waschk <waschk@mandriva.org> 0.1.3-1mdv2008.1
+ Revision: 155643
- new version

* Mon Jan 14 2008 Götz Waschk <waschk@mandriva.org> 0.1.2-1mdv2008.1
+ Revision: 151757
- fix buildrequires
- new version
- bump deps
- drop patch

* Fri Jan 11 2008 Frederic Crozat <fcrozat@mandriva.com> 0.1.1-2mdv2008.1
+ Revision: 147899
- Patch0 (SVN): fix crash in computer:// uri helper

* Tue Jan 08 2008 Götz Waschk <waschk@mandriva.org> 0.1.1-1mdv2008.1
+ Revision: 146647
- new version
- drop patch
- update file list

* Tue Jan 08 2008 Götz Waschk <waschk@mandriva.org> 0.1.0-3mdv2008.1
+ Revision: 146621
- fix deps

* Tue Jan 08 2008 Frederic Crozat <fcrozat@mandriva.com> 0.1.0-2mdv2008.1
+ Revision: 146516
- Patch0 (SVN): many fixes from SVN, including glib 2.15.1 support

* Sat Dec 22 2007 Götz Waschk <waschk@mandriva.org> 0.1.0-1mdv2008.1
+ Revision: 136815
- import gvfs


* Thu Dec 20 2007 Götz Waschk <waschk@mandriva.org> 0.1.0-1mdv2008.1
- initial package

